
@import url('https://fonts.googleapis.com/css2?family=Cal+Sans&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
}
html,body{
    scroll-behavior: smooth;
    overflow-x: hidden !important;
}
body{
    background: #fff !important;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}
::-webkit-scrollbar{
    width: 0.4rem;
  }
  ::-webkit-scrollbar-track{
    background:  #fff;
  }
  ::-webkit-scrollbar-thumb{
    background: #595959;
    
  }
.header{
    z-index: 10 !important;
    position: fixed !important;
    top: 0 !important;
    width: 100% !important;
    /* background: #fff !important; */
    animation-name: appear;
    animation-duration: 1s;
}
@keyframes appear{
    0%{
        opacity: 0;
    }
    50%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}
.header-img{
    height: 2.5rem;
    border-radius: 50%;
    background:  rgb(255, 255, 255,0.4);
    width: 2.5rem;
}
.on-small{
    display: none;
    position: relative;
  
}
.on-big{
    display: flex;
}
.brand-link{
    height: 2.5rem;
    padding: 2px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2.5rem;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    backdrop-filter: blur(5px);
    border-radius: 50%;
    overflow: hidden;
}
.navbar-toggler{
    border: none !important;
}
.navbar-toggler:focus{
    box-shadow: none !important;
}
.active-link{
    background: linear-gradient(135deg, #00A8FF, #FF0066) !important;
    -webkit-background-clip: text !important;
    -webkit-text-fill-color: transparent !important;
    position: relative !important;
}
.active-link::before{
    content: '';
    position: absolute;
    left: 0;
    bottom: 5px;
    width: 100%;
    height: 2px;
    opacity: 1 !important;
   
    background:linear-gradient(135deg, #00A8FF, #FF0066) ;

}
.link{
    color: #595959 !important;
    font-size: 0.9rem !important;
    font-weight: 400 !important;
    font-family: 'Poppins',sans-serif;
    text-transform: capitalize;
    position: relative;
    transition:all .4s ease-in;
}
.link::after{
    content: '';
    position: absolute;
    left: 0;
    bottom: 5px;
    width: 100%;
    height: 2px;
    opacity: 0;
    transition: all 0.3s ease-in-out;
    background:linear-gradient(135deg, #00A8FF, #FF0066) ;
    transform: scaleX(0);
    transform-origin: left;
   
}
.link:hover{
    background: linear-gradient(135deg, #00A8FF, #FF0066) !important;
  -webkit-background-clip: text !important;
  -webkit-text-fill-color: transparent !important;
}
.link:hover::after{
    opacity: 1;
  transform: scaleX(1);
}
.header-main{
    border-radius: 3rem;
    display: flex;
    position: relative;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    padding: 0.5rem 0.5rem;
    justify-content: center;
}

.first{
    /* z-index:0; */
    display: flex;
    width: 100%;
    position: relative;
    height: 100svh;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.hola{
    background: linear-gradient(to right, #00A8FF, #FF0066); /* Neon Blue to Electric Pink */
    color: transparent;
    background-clip: text;
    width: fit-content;
    height: fit-content;
    text-align: center;
        font-size: 1rem;
        font-family: 'Cal Sans',sans-serif;
        /* font-size: 4rem; */
        font-weight: 500;
        animation-name: textAppear;
        animation-duration: 2s;
}
.sub-text{
    color:#2a2a2a;
    text-align: center;
    font-family: 'Cal Sans',sans-serif;
    /* font-size: 4rem; */
    font-weight: 500;
    animation-name: textAppear;
    animation-duration: 2s;
}
.main-text{
    background: linear-gradient(to right, #00A8FF, #FF0066); /* Neon Blue to Electric Pink */
color: transparent;
background-clip: text;
width: fit-content;
height: fit-content;
text-align: center;
    font-size: 3rem;
    font-family: 'Cal Sans',sans-serif;
    /* font-size: 4rem; */
    font-weight: 500;
    animation-name: textAppear;
    animation-duration: 3s;
}
@keyframes textAppear{
    0%{
        transform: translateY(20px);
        opacity: 0;
    }
    50%{
        transform: translateY(10px);
        opacity: 0;
    }
    100%{
        transform: translateY(0px);
        opacity: 1;
    }
}
.button-box{
    display: flex;
    gap: 1rem;
    margin-top: 0.5rem;
    width: 100%;
    animation-name: btnAppear;
    animation-duration: 3s;
    justify-content: center;
}
@keyframes btnAppear{
    0%{
        transform: translateY(20px);
        opacity: 0;
    }
    50%{
        transform: translateY(10px);
        opacity: 0;
    }
    100%{
        transform: translateY(0px);
        opacity: 1;
    }
}
.first-buttons{
    height: 3rem;
    padding: 1rem 1rem;
    display: flex;
    border-radius: 1.5rem;
    justify-content: center;
    font-size: 0.9rem;
    font-weight: 500;
    align-items: center;
    font-family: 'Poppins',sans-serif;
    border: none;
    width: fit-content;
}
.first-btn{
    background:linear-gradient(to right, rgb(0, 168, 255,1), rgb(255, 0, 102,1));
    background-clip: text;
    border: 2px solid rgb(89, 89, 89,0.2);
    z-index: 1;
    backdrop-filter: blur(5px);
    color: transparent;
    transition: all .4s ease;
}
.first-btn:hover{
    transform: translateY(-5px);
}
.sec-btn{
    background: #2a2a2a;
    backdrop-filter: blur(5px);
    z-index: 1;
    color: #fff;
    text-decoration: none;
    transition: all .4s ease;
}
.sec-btn:hover{
   opacity: 0.95;
   transform: translateY(-5px);
   
}
.social-box{
    width: 100%;
    margin-top: 1rem;
    justify-content: center;
    display: flex;
    gap: 0.5rem;
   
}
.social-box :first-child{
    animation-name: socialAppear;
    animation-duration: 3s;
}
.social-box :nth-child(2){
    animation-name: socialAppear;
    animation-duration: 3.5s;
}
.social-box :nth-child(3){
    animation-name: socialAppear;
    animation-duration: 4s;
}
@keyframes socialAppear{
    0%{
        transform: translateY(-20px);
        opacity: 0;
    }
    50%{
        transform: translateY(-10px);
        opacity: 0;
    }
    100%{
        transform: translateY(0px);
        opacity: 1;
    }
}
.social-links{
    width: fit-content;
    height: fit-content;
    z-index: 1;
    backdrop-filter: blur(5px);
    border-radius: 50%;
    
    text-decoration: none;
}
.social-icons{
    background: linear-gradient(to right, rgb(0, 168, 255,1), rgb(255, 0, 102,1));
    background-clip: text;
    color: transparent;
    padding: 0.5rem 0.5rem;
   
    height: fit-content;
    border-radius: 50%;
    width: fit-content;
    transition: all .2s ease;
    border: 2px dotted rgb(89, 89, 89,0.2);
}
.social-icons:hover{
    transform: scale(1.1);
}
.about{
    width: 100%;
    position: relative;
    height: fit-content;
    padding-bottom: 1rem;
}
.about-row{
    height: 100% !important;
}
.about-left {
width: 100%;
height: 100%;
padding-left: 1rem;
padding-right: 1rem;
display: flex;
flex-direction: column;
position: relative;
justify-content: start;
align-items: center;
/* background: #00A8FF; */
}
.about-head{
    background: linear-gradient(to right, #00A8FF, #FF0066); /* Neon Blue to Electric Pink */
    color: transparent;
    background-clip: text;
    /* z-index: 1; */
    width: fit-content;
    height: fit-content;
    text-align: center;
        font-size: 2.5rem;
        font-family: 'Cal Sans',sans-serif;
        /* font-size: 4rem; */
        font-weight: 500;
}
.about-main{
    display: flex;
    margin-top: 1rem;
    width: 100%;
    position: relative;
    flex-direction: column;
    z-index: 1;
   
}
.about-main > :first-child ,
.about-main >  :nth-child(3){
    text-align: left;
    align-self: flex-end;
}
.about-main > :nth-child(2) , 
.about-main > :nth-child(4){
    text-align: right;
    flex-direction: row-reverse;
    align-self: flex-start;
}
.about-main-boxes{
    display: flex;
    width: 48%;
    align-items: center;
    gap: 0.5rem;
}
.numbers{
    font-family: 'Poppins',sans-serif;
    color: transparent;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    background-clip: text; 
    backdrop-filter: blur(5px);
    font-size: 0.85rem;
   height: fit-content;
   display: flex;
   justify-content: center;
   border:2px dotted rgb(89, 89, 89,0.2);
   align-items: center;
   padding: 0.5rem 1rem;
   cursor: pointer;
   border-radius: 50%;
   width: fit-content;
}
.about-main-txt{
    font-family: 'Poppins',sans-serif;
    max-width: 600px;
    font-weight: 300;
    font-size: 0.87rem;
    color: #595959;
    padding: 1rem 1rem;
    border: 2px dotted rgb(89, 89, 89,0.2);
    background: rgb(255, 255, 255,0.3);
    backdrop-filter: blur(5px);
}
.about-bar{
    height: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    background: linear-gradient(135deg, #595959, #fff); 
    width: 0.3rem;
    border-radius: 1rem;
    transform: translate(-50% , -50%);
}

#particles-js {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 0;
    top: 0;
    left: 0;
}
.projects{
    display: flex;
    flex-direction: column;
    margin-top: 5svh;
    height: auto;
    padding: 1rem 1rem;
    justify-content: center;
    align-items: center;
    width: 100%;
}
.projects-head{
    margin-top: 1rem;
   
    color: transparent;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    background-clip: text; 
  
    text-align: center;
        font-size: 2.5rem;
        font-family: 'Cal Sans',sans-serif;
        font-weight: 500;
}
.projects-sub-head{
    font-family: 'Poppins',sans-serif;
    width: 80%;
    text-align: center;
        font-weight: 300;
        margin-bottom: 10svh;
        font-size: 0.87rem;
        color: #595959;
}
.project-box{
    width: 100%;
    margin-bottom: 10svh;
   
    display: flex;
height: auto;
   
}
.project-box-left{
    width: 55%;
    padding: 1rem 1rem;
    padding-top: 0rem !important;
    display: flex;
    height: auto;
    flex-direction: column;
}
.project-type{
    font-family: 'Poppins',sans-serif;
    font-weight: 400;
    font-size: 0.9rem;
    text-transform: uppercase;
    color: #2a2a2a;
    margin-bottom:0.2rem !important;

}
.project-name{
    font-family: 'Cal Sans',sans-serif;
    font-weight: 500;
    color: transparent;
    height: auto;
    font-size: 2.5rem;
    margin-bottom:0.5rem;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    background-clip: text; 
    width: fit-content;
}
.project-desc{
    color: #595959;
    font-size: 1rem;
}
.project-box-right{
    width: 45%;
    height: auto;
    z-index: 1;
}
.project-img{
    height: auto;
    width: 100%;
   
    
}
.project-btn-box{
    margin-top: auto !important;
    display: flex;
    gap: 1rem;
}
.live , .code{

    height: 3rem;
    padding: 1rem 1rem;
    display: flex;
    border-radius: 1.5rem;
    z-index: 1;
    justify-content: center;
    font-size: 0.9rem;
    text-transform: capitalize;
    font-weight: 500;
    gap: 0.5rem;
    align-items: center;
    font-family: 'Poppins',sans-serif;
    border: none;
    width: fit-content;
    transition: all .4s ease;
}
.live:hover{
    transform: translateY(-10px);
}
.code:hover{
    opacity: 0.9;
}
.live{
    background:linear-gradient(to right, rgb(0, 168, 255,1), rgb(255, 0, 102,1));
    background-clip: text;
    border: 2px solid rgb(89, 89, 89,0.2);
    z-index: 1;
    backdrop-filter: blur(5px);
    color: transparent;
}
/* .live-icon{
    font-size: 0.75rem !important;
} */
.code{
    background: #2a2a2a;
    color: #fff;
}
.code-icon{
    font-size: 0.8rem !important;
}
.skills{
    display: flex;
    flex-direction: column;
    margin-top: 5svh;
    height: auto;
    padding: 1rem 1rem;
    padding-left: 0rem !important;
    padding-right: 0rem !important;
    justify-content: center;
    align-items: center;
    width: 100%;
    overflow-x: hidden;
}
.skills-head{
    margin-top: 1rem;
   
    color: transparent;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    background-clip: text; 
  
    text-align: center;
        font-size: 2.5rem;
        font-family: 'Cal Sans',sans-serif;
        font-weight: 500;
}
.skills-box{
    width: 100%;
    height: auto;
    display: grid;
    grid-template-columns: auto auto auto auto auto auto auto auto;
    flex-wrap: wrap;
    margin-top: 5svh;
    font-size: 3rem;
    position: relative;
    padding-top: 2rem;
    padding-bottom: 2rem;
    gap: 1rem;
    background:rgb(255, 255, 255,0.1) ;
    border: 1px solid rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(5px);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    z-index: 1;
  
    overflow-x: hidden;
    justify-content: space-evenly;
    align-items: center;
    /* overflow-x:hidden; */
}

.skills-icon-box{
    width: fit-content;
    height: fit-content;
    display: flex;
    justify-content: center;
 
    border-bottom: 50%;
    align-items: center;
    color: transparent;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    background-clip: text; 

}
.contact{

    margin-top: 5svh;
    height: auto;
    padding: 1rem 1rem;
  
    width: 100%;
 
}
.contact-head{
    margin-top: 1rem;
    margin-left: auto;
    margin-right: auto;
    color: transparent;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    background-clip: text; 
    width: fit-content;
    text-align: center;
        font-size: 2.5rem;
        font-family: 'Cal Sans',sans-serif;
        font-weight: 500;
}
.contact-main{
    display: grid;
    width: 100%;
   
    height: auto;
    margin-top: 10svh;
    justify-content: center;
    align-items: center;
    grid-template-columns: 30% 60%;
   
}
.contact-left ,
.contact-right{
    /* width: 100%; */
    height: 70svh;
    width: 100% !important;
    display: flex;
    flex-direction: column;
    background: #fff;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}
.contact-left{
 
    justify-content: center;
    align-items: center;
    gap: 0.1rem;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    z-index: 1;
    height: 60svh;
}
.contact-left-icon{
    color: #fff;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    background-clip: text;
    height: fit-content;
    font-size: 3rem; 
    width: fit-content;
}
.contact-icon{
margin-right: 0.5rem;
}
.contact-left-h2{
    color: #fff;
    background: linear-gradient(135deg, #00A8FF, #FF0066);
    background-clip: text;
    height: fit-content;
    font-size: 2rem; 
    width: fit-content;
    font-family: 'Cal Sans',sans-serif;
        font-weight: 500;
}
.contact-left-h3{
    font-family: 'Poppins',sans-serif;
 
        font-weight: 300;
        font-size: 0.87rem;
        color: #fff;
}
.contact-right{
    padding: 1rem 1rem;
    background:rgb(255, 255, 255,0.1) ;
   
    backdrop-filter: blur(5px);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    z-index: 1;
}
.contact-form{
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-evenly;
    
   
}
.form-first{
    display: grid;
    grid-template-columns: auto auto;
    gap: 1rem;
}
.form-input-box{
    display: flex;

    flex-direction: column;
}
.form-input{
    background: rgb(89, 89, 89,0.1);
    border: none;
    padding: 0.5rem 0.5rem;
    z-index: 1;
    transition: all .4s ease;
    outline: none;
    border: 2px solid rgb(89, 89, 89,0.1);
}
.form-input:focus{
    border: 2px solid #2a2a2a;
   

}
.form-input::placeholder{
    font-family: 'Poppins',sans-serif;
 
    font-weight: 300;
    font-size: 0.87rem;
}
.name ,
.email{
    height: 7svh;
    width: 100%;
    
}
.form-label{
    font-family: 'Poppins',sans-serif;
 
    font-weight: 300;
    font-size: 0.87rem;
}
.form-message{
    height: 30svh;
    overflow: auto; /* Allow scrolling but hide scrollbar */
  scrollbar-width: none;
   resize: none;
}
.form-btn{
    background:linear-gradient(to right, rgb(0, 168, 255,1), rgb(255, 0, 102,1));
   border: none;
    z-index: 1;
    backdrop-filter: blur(5px);
    color: #fff;
    height: auto;
    padding-top: 0.5rem !important;
    padding-bottom: 0.5rem !important;
    padding: 1rem 1rem;
    display: flex;
    margin-left: auto;
    border-radius: 1.5rem;
    justify-content: center;
    font-size: 0.9rem;
    text-transform: capitalize;
    font-weight: 400;
    gap: 0.3rem;
    align-items: center;
    font-family: 'Poppins',sans-serif;

    width: fit-content;
    transition: all .4s ease;
}
.submit-icon{
    font-size: 0.80rem !important;
}
.footer{
    width: 100%;
    
    margin-top: 10svh;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    
   
}
.footer-social{
    width: 100%;
    height: auto;
    display: flex;
    gap: 1rem;
    justify-content: center;
    align-items: center;
}
.footer-links{
    width: fit-content;
    height: fit-content;
    z-index: 1;
    backdrop-filter: blur(5px);
    border-radius: 50%;
    
    text-decoration: none;
}
.footer-icons{
   
    color: #2a2a2a;
    padding: 0.5rem 0.5rem;
   
    height: fit-content;
    border-radius: 50%;
    width: fit-content;
    transition: all .2s ease;
    border: 2px dotted rgb(89, 89, 89,0.2);
}
.footer-copyright{
    width: 100%;
    height: auto;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    display: flex;
    justify-content: center;
    font-family: 'Poppins',sans-serif;
 
    font-weight: 400;
    font-size: 0.87rem;
    z-index: 1;
    color: #2a2a2a;
    align-items: center;
    background: rgb(89, 89, 89,0.1);
}
@media screen and (max-width:991px){
    .header-main{
        flex-direction: row-reverse;
    }
    .on-small{
        display: flex;
    }
    .on-big{
        display: none;
    }
    .header{
        position: fixed !important;
        
        top: 0 !important;
    }
    .header-main{
        border-radius: 0rem;

    }
    .navbar-collapse{
        margin-top: 0.5rem;
      
        background: #fff;
    }
    .link{
        display: flex !important;
        align-items: center !important;
        
       
        justify-content: center !important;
        position: relative;
    }
    .header-main.no-padding {
        padding-bottom: 0 !important;
      }
      .about-left , .about-right{
       
        align-items: center;
    }
    .about-main-txt{
        font-size: 0.9rem;
        max-width: 100% !important;
        align-self: flex-start !important;
        text-align: left !important;
    }
    .about-main-boxes{
        flex-direction: column;
    }
    
    .about-main > :nth-child(2) ,
    .about-main >  :nth-child(4){
       
        flex-direction: column;
       
    }
    ::-webkit-scrollbar-thumb{
        background: none !important;
        
      }
      .about-main-boxes{
       
        width: 48%;
    }
    .project-box{
        height: auto;
        flex-direction: column;
    }
    .project-box-left{
        width: 100%;
        height: auto;
        padding-top: 1rem !important;
    }
     .project-box-right{
        width: 100%;
        /* height: 40svh; */
        /* background: url('aurascape.jpg');
        background-size: 100% 100%;
        aspect-ratio: 1/1; */
     }
   .project-img{
    width: 100%;
    height: auto;
   }
     .project-box{
        border: 2px solid rgb(89, 89, 89,0.3);
        flex-direction: column-reverse;
        border-radius: 1rem;
       
        
        overflow: hidden;
    }
    .contact-left-icon{
        
        font-size: 2.5rem; 
    }
    .contact-left-h3{
        font-size: 0.8rem;
    }

}
@media screen  and (max-width:768px){
    .about-bar{
        display: none;
    }
    .about-main-boxes{
       
        width: 100%;
    }
    
    .projects-sub-head{
        
        width: 95%;
    }
    .link::after{
        width: 50% !important;
        left: 50%;
      
        transform: translateX(-50%) !important;
    }
   
.skills-box{
    width: 100%;
    height: auto;
    display: grid;
    grid-template-columns: auto auto auto auto;
    grid-template-rows: auto auto;
}
.contact-main{
    grid-template-columns: 100%;
}
    .contact-left{
        height: 40svh;
    }
    .contact-form{
        gap: 1rem;
    }
    .contact-right{
        height: auto;
    }
}
@media screen and (max-width:440px){
    .form-first{
        grid-template-columns: auto;
    }
    .contact-left ,
    .contact-right{
        width: 100% !important;
    }
}
@media screen and (max-width:368px){
    .skills-box{
        font-size: 2.5rem;
    }
}